Summary: A helper application which loads modules for USB devices.
Name: hotplug
Version: 2001_04_24
Release: 11.1
Epoch: 3
Group: System Environment/Kernel
License: GPL
Url: http://linux-hotplug.sourceforge.net/
ExcludeArch: s390 s390x
Source0: %{name}-%{version}.tar.gz
Source1: http://www.linuxalpha.compaq.com/pcihpd/files/cpqphpd_gui-0.1.2.tar.gz
Source2: http://www.linuxalpha.compaq.com/pcihpd/files/hpioctl.tar.gz
Source3: cpqphpd_ioctl.h
Source4: usbutils-0.8.tar.gz

BuildRequires: gnome-libs-devel, ORBit-devel, libglade-devel

# We don't want hotplug to initialize the USB core modules, but we
# want to synthesize boot events
Patch0: hotplug-2001_04_24-nousbinit.patch

# Add support for wireless devices
Patch1: hotplug-2001_04_24-wireless2.patch

# Run updfstab on some add and remove events
Patch2: hotplug-2001_04_24-updfstab.patch

# Don't ifup interfaces if the network subsystem isn't up
Patch3: hotplug-2001_04_24-networkdown.patch

# Extra identifiers for wacom tablets
Patch4: hotplug-2001_04_24-wacom.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq:	chkconfig


%package gtk
Summary: GTK control interface for Hotplug PCI
Group: Applications/System

%description gtk
This is the GTK interface for the Compaq PCI hotplug controller


%description 
The term "hotplugging" refers to the dynamic reconfiguration performed
after a device has been attached to a running system. This package
contains the application which is called by the kernel when a USB
device is added; hotplug then loads the required modules for that
device.

%prep
%setup -q
%setup -q -a 1
tar -zxvf %{SOURCE2}
tar -zxvf %{SOURCE4}


%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

rm -f etc/hotplug/*.orig

%build gtk
pushd cpqphpd_gui
%configure
make -s -j2
pushd ../usr/src/hpioctl
cp -fv $RPM_SOURCE_DIR/cpqphpd_ioctl.h  .
make
popd
popd

pushd usbutils-0.8
libtoolize --force --copy
%configure
make
popd

%install
# build directories
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/hotplug
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

# install the main hotplug script
install -m 755 sbin/* $RPM_BUILD_ROOT/sbin/

# install the helper hotplug scripts
cp -a -r etc/hotplug/* ${RPM_BUILD_ROOT}/etc/hotplug/

# install the usb startup script
cp -a etc/rc.d/init.d/* ${RPM_BUILD_ROOT}/etc/rc.d/init.d/

# the man page
install -m 644 hotplug.8 $RPM_BUILD_ROOT/%{_mandir}/man8

# hotplug PCI program
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp usr/src/hpioctl/iotest $RPM_BUILD_ROOT/usr/sbin/hotplugctl

pushd cpqphpd_gui
make DESTDIR=$RPM_BUILD_ROOT install
popd

# Determine modules to installe
pushd usbutils-0.8
install -m 755 usbmodules $RPM_BUILD_ROOT/sbin/usbmodules
popd


%files
%defattr(-,root,root)
/sbin/*
/usr/sbin/hotplugctl
%dir /etc/hotplug
%config /etc/hotplug/*
%config(noreplace)  /etc/hotplug/usb.usermap 
%{_mandir}/*/*
%doc README ChangeLog

%files gtk
%defattr(-,root,root)
/usr/bin/cpqphpgui
/usr/share/pixmaps/cpqphpgui/card_icon.xpm
/usr/share/pixmaps/cpqphpgui/card_insert-small.xpm
/usr/share/pixmaps/cpqphpgui/card_insert.xpm
/usr/share/pixmaps/cpqphpgui/card_remove-small.xpm
/usr/share/pixmaps/cpqphpgui/card_remove.xpm
/usr/share/pixmaps/cpqphpgui/disable_icon.xpm
/usr/share/pixmaps/cpqphpgui/disable-small.xpm
/usr/share/pixmaps/cpqphpgui/enable_off.xpm   
/usr/share/pixmaps/cpqphpgui/enable_on.xpm    
/usr/share/pixmaps/cpqphpgui/yellow_bullet_icon.xpm
/usr/share/pixmaps/cpqphpgui/yellow-small.xpm

%changelog
* Fri Aug  9 2002 Trond Eivind Glomsrd <teg@redhat.com> 2001_04_24-11.1
- Fix auto* problems (#70594)

* Mon Aug 27 2001 Trond Eivind Glomsrd <teg@redhat.com> 2001_04_24-11
- Install usbmodules from usbutils to help sove various 
  module insertion problems (#52630, #52100, #51229, #52546)

* Sun Aug 19 2001 Bill Nottingham <notting@redhat.com>
- revert last change. I was on crack.

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- handle network unregistration events too

* Mon Aug  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add extra identifiers for Wacom tablets (#50454)
- Define IN_HOTPLUG before invoking ifup (part of #47483)

* Mon Jul 16 2001 Bill Nottingham <notting@redhat.com>
- own /etc/hotplug
- what dunderhead put that broken code in the wireless stuff? Oh yeah, me.
  (#49021)

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add defattr to gtk subpackage
- make the lines in the description shorter

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- fix namespace collision with initscripts in net.agent (HWADDR),
  use ip, not ifconfig

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Preston is right, ExcludeArch is better

* Tue Jun 19 2001 Arjan van de Ven <arjanv@redhat.com>
- Added hotplug PCI support

* Wed Jun 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Change for wireless as suggested in #44381

* Mon May 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2001-04-24 packages
- redo all patches, drop some, consolidate others
- Include new man page

* Sun Apr 01 2001 Erik Troan <ewt@redhat.com>
- devices wouldn't match the upper limit of device id ranges

* Thu Mar 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it sleep (20 intervals of 30 seconds) if /tmp is ro
  instead of exiting. This should make "hotplugging"
  of devices present at boot time work.

* Tue Mar 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- run updfstab on remove events
- remove the initscript, usbdevfs is now initialized before the controller

* Fri Mar  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't ifup interfaces when the network is stopped
  (#22978)

* Fri Mar  2 2001 Bill Nottingham <notting@redhat.com>
- move wireless invocations to the right place

* Thu Mar  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Run updfstab when adding usb-storage devices

* Thu Mar  1 2001 Bill Nottingham <notting@redhat.com>
- don't ship backup files

* Wed Feb 28 2001 Bill Nottingham <notting@redhat.com>
- ignore cipe, plip, and loopback devices as well

* Wed Feb 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- fire off netreport updates when interfaces get registered/deregistered

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- invoke the pcmcia wireless script for wireless devices

* Thu Feb 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add pci hotplug scripts (those weren't the ones bringing machines down)
- activate the script
- change initscript so it never tries to load usb controller modules, just synthesize events

* Fri Feb 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix ppp/isdn issue (interface up/down/up/down...)

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove init script - it makes some of the Dell servers hang.
- remove chkconfig in post, preun
- only include the usb files in /etc/hotplug - PCI hotplug
  doesn't work 

* Wed Feb 14 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make summary and description match our old package
- sanitize initscript, so it matches the others
- Add Epoch, so we can upgrade older RPMs with Epoch: 2

* Wed Feb 14 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_14 release

* Wed Jan 17 2001 Greg Kroah-Hartman <greg@kroah.com>
- changed specfile based on Chmouel Boudjnah's <chmouel@mandrakesoft.com> comments.

* Tue Jan 16 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the file locations due to the change in the tarball structure.
- 2001_01_16 release

* Mon Jan 15 2001 Greg Kroah-Hartman <greg@kroah.com>
- First cut at a spec file for the hotplug scripts.
- added patch to usb.rc to allow chkconfig to install and remove it.

